{% extends 'base.html' %}
{% block title %}<a href="/"><h1>Главная</h1></a> {% endblock %}
{% block content %}
    <hr>
<div class="container bootstrap snippet">
    <div class="row">
        <div class="col-sm-10">
            <h1>Привет {{ request.user.username }}</h1></div>
        <div class="col-sm-2">
            <a href="/users" class="pull-right"><img title="profile image"  class="rounded-circle img-fluid" src="/media/{{ user.image }}"></a>
        </div>
    </div>
    <div class="row">
        <div class="col-sm-4">
            <!--left col-->

            <ul class="list-group">
                <li class="list-group-item text-muted">Профиль</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong>Зарегистрирован</strong></span> {{ request.user.date_joined}}</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong>Баланс</strong></span> {{ request.user.balance }}</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong>Полное имя</strong></span> {{ request.user.get_full_name }}</li>
                <li class="list-group-item text-right"><span class="pull-left"><strong>Место в рейтинге</strong></span> {{ place }}</li>
            </ul>


        </div>
        <!--/col-3-->
        <div class="col-sm-8">

            <ul class="nav nav-tabs" id="myTab">

                <li class="category-active category"><a href="#home" data-toggle="tab">Куплено</a></li>
                <li class="category"><a href=" #messages" data-toggle="tab">Зачислено баллов</a></li>
            </ul>

            <div class="tab-content">
                <div class="tab-pane active" id="home">
                    <div class="table-responsive">
                        <table class="table table-hover">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Товар</th>
                                    <th>Количество</th>
                                    <th>Цена</th>
                                    <th>Дата покупки </th>
                                </tr>
                            </thead>
                            <tbody id="items">
                            {% for item in boughtItems %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td><a href="{% url 'itemDetail' item.item.id %}">{{ item.item.name }} </a></td>
                                    <td>{{ item.count }}</td>
                                    <td>{{ item.total_price }}</td>
                                    <td>{{ item.payment_history.payment_date }}</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                        <hr>
                        <div class="row">
                            <div class="col-md-4 col-md-offset-4 text-center">
                                <ul class="pagination" id="myPager"></ul>
                            </div>
                        </div>
                    </div>
                    <!--/table-resp-->

                    <hr>

                </div>
                <!--/tab-pane-->
                <div class="tab-pane" id="messages">

                   <div class="table-responsive">
                        <table class="table table-hover">
                            <thead>
                                <tr>
                                    <th>#</th>
                                    <th>Добавлено</th>
                                    <th>Описание</th>
                                    <th>Дата добавления </th>
                                </tr>
                            </thead>
                            <tbody >
                            {% for ac in achievements %}
                                <tr>
                                    <td>{{ forloop.counter }}</td>
                                    <td>{{ ac.point }}</td>
                                    <td>{{ ac.description }}</td>
                                    <td>{{ ac.created_date }}</td>
                                </tr>
                            {% endfor %}
                            </tbody>
                        </table>
                        <hr>
                        <div class="row">
                            <div class="col-md-4 col-md-offset-4 text-center">
                                <ul class="pagination" id="myPager"></ul>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
            <!--/tab-pane-->
        </div>
        <!--/tab-content-->

    </div>
    <!--/col-9-->
</div>
<!--/row-->
{% endblock %}
{% block script %}
    <script>
     $('.category').on("click", function(){
       $(".category").removeClass("category-active");
       $(this).addClass("category-active");
    });
    </script>
{% endblock script %}